## GtkPlotCanvasPlot

GtkPlotCanvasPlot

## Synopsis

    #include <gtkextra.h>

    #define             GTK_PLOT_CANVAS_PLOT_SELECT_POINT   (plot)
    #define             GTK_PLOT_CANVAS_PLOT_DND_POINT      (plot)
    #define             GTK_PLOT_CANVAS_PLOT_FLAGS          (plot)
    #define             GTK_PLOT_CANVAS_PLOT_SET_FLAGS      (plot, flags)
    #define             GTK_PLOT_CANVAS_PLOT_UNSET_FLAGS    (plot, flags)
    enum                GtkPlotCanvasPlotPos;
    GtkPlotCanvasChild * gtk_plot_canvas_plot_new           (GtkPlot *plot);

## Description

## Details

### GTK_PLOT_CANVAS_PLOT_SELECT_POINT()

    #define GTK_PLOT_CANVAS_PLOT_SELECT_POINT(plot)  (plot->flags & GTK_PLOT_CANVAS_PLOT_SELECT_POINT)

`plot` : |

### GTK_PLOT_CANVAS_PLOT_DND_POINT()

    #define GTK_PLOT_CANVAS_PLOT_DND_POINT(plot)  (plot->flags & GTK_PLOT_CANVAS_PLOT_DND_POINT)

`plot` : |

### GTK_PLOT_CANVAS_PLOT_FLAGS()

    #define GTK_PLOT_CANVAS_PLOT_FLAGS(plot)     (GTK_PLOT_CANVAS_PLOT(plot)->flags)

`plot` : |

### GTK_PLOT_CANVAS_PLOT_SET_FLAGS()

    #define GTK_PLOT_CANVAS_PLOT_SET_FLAGS(plot, flags)  (GTK_PLOT_CANVAS_PLOT_FLAGS(plot) |= (flags))

`plot` : |
`flags` : |

### GTK_PLOT_CANVAS_PLOT_UNSET_FLAGS()

    #define GTK_PLOT_CANVAS_PLOT_UNSET_FLAGS(plot, flags)  (GTK_PLOT_CANVAS_PLOT_FLAGS(plot) &= ~(flags))

`plot` : |
`flags` : |

### enum GtkPlotCanvasPlotPos

    typedef enum
    {
      GTK_PLOT_CANVAS_PLOT_OUT,
      GTK_PLOT_CANVAS_PLOT_IN_PLOT,
      GTK_PLOT_CANVAS_PLOT_IN_LEGENDS,
      GTK_PLOT_CANVAS_PLOT_IN_TITLE,
      GTK_PLOT_CANVAS_PLOT_IN_AXIS,
      GTK_PLOT_CANVAS_PLOT_IN_DATA,
      GTK_PLOT_CANVAS_PLOT_IN_GRADIENT,
      GTK_PLOT_CANVAS_PLOT_IN_MARKER,
    } GtkPlotCanvasPlotPos;

### gtk_plot_canvas_plot_new ()

    GtkPlotCanvasChild * gtk_plot_canvas_plot_new           (GtkPlot *plot);

`plot` : |
Returns : |